// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, version 2.0.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License 2.0 for more details.

// Copyright (C) 2012	JoostinOnline

#include <ogcsys.h>
#include <stdio.h>
#include "colors.h"

void SetFgColor(u8 color) {
	printf("\x1b[%u;1m", color + 30);
}

void SetBgColor(u8 color) {
	printf("\x1b[%u;0m", color + 40);
}

void SetColors(u8 bgColor, u8 fgColor) {
	SetBgColor(bgColor);
	SetFgColor(fgColor);
}